Closed Bug 1519455 Opened 8 months ago Closed 7 months ago

Intermittent devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found its push button -

Categories

(DevTools :: about:debugging, defect, P5)

defect

Tracking

(firefox67 fixed)

RESOLVED FIXED
Firefox 67
Tracking Status
firefox67 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: jdescottes)

Details

(Keywords: intermittent-failure, Whiteboard: [retriggered][stockwell unknown])

Attachments

(1 file)

Filed by: rmaries [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=221347342&repo=mozilla-central

https://queue.taskcluster.net/v1/task/WqpJMhUZRRWYrL_GBYnKaA/runs/0/artifacts/public/logs/live_backing.log

[task 2019-01-11T16:53:23.386Z] 16:53:23 INFO - TEST-START | devtools/client/aboutdebugging/test/browser_service_workers_push.js
[task 2019-01-11T16:53:23.545Z] 16:53:23 INFO - GECKO(1072) | ++DOCSHELL 0x7f5ddef71800 == 31 [pid = 1072] [id = {47c39dab-d144-40d6-b232-887e395d7bab}]
[task 2019-01-11T16:53:23.546Z] 16:53:23 INFO - GECKO(1072) | ++DOMWINDOW == 78 (0x7f5deb9e7800) [pid = 1072] [serial = 113] [outer = (nil)]

[task 2019-01-11T16:53:27.775Z] 16:53:27 INFO - TEST-PASS | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found the service worker in the list -
[task 2019-01-11T16:53:27.776Z] 16:53:27 INFO - Buffered messages finished
[task 2019-01-11T16:53:27.777Z] 16:53:27 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found its push button -
[task 2019-01-11T16:53:27.777Z] 16:53:27 INFO - Stack trace:
[task 2019-01-11T16:53:27.778Z] 16:53:27 INFO - chrome://mochikit/content/browser-test.js:test_ok:1307
[task 2019-01-11T16:53:27.779Z] 16:53:27 INFO - chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:null:57
[task 2019-01-11T16:53:27.780Z] 16:53:27 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1108
[task 2019-01-11T16:53:27.781Z] 16:53:27 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1099
[task 2019-01-11T16:53:27.781Z] 16:53:27 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:997
[task 2019-01-11T16:53:27.782Z] 16:53:27 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-01-11T16:53:27.783Z] 16:53:27 INFO - Wait for the service worker to claim the test window before proceeding.
[task 2019-01-11T16:53:27.784Z] 16:53:27 INFO - Click on the Push button and wait for the service worker to receive a push notification
[task 2019-01-11T16:53:27.788Z] 16:53:27 INFO - Not taking screenshot here: see the one that was previously logged

Summary: Perma devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found its push button - → Intermittent devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found its push button -

This was retriggered https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&searchStr=linux%2Cx64%2Cdebug%2Cmochitests%2Cwith%2Cserviceworker%2Credesign%2Cand%2Ce10s%2Ctest-linux64%2Fdebug-mochitest-devtools-chrome-sw-e10s-7%2Cm-sw-e10s%28dt7%29&tochange=2a99e348fde3d1674296bb82c5f3881e696e8fb6&fromchange=8e746f670f430ceb0cb85fa8eebfe97cbe42ff01

appears to have started from this merge: https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&searchStr=linux%2Cx64%2Cdebug%2Cmochitests%2Cwith%2Cserviceworker%2Credesign%2Cand%2Ce10s%2Ctest-linux64%2Fdebug-mochitest-devtools-chrome-sw-e10s-7%2Cm-sw-e10s%28dt7%29&revision=340d5146c4052a47c5aa4f70817dc3ee9fd4e7da

There are 15 total failures in the last 7 days all on linux64 debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=221569304&repo=mozilla-central&lineNumber=3767

[task 2019-01-13T11:06:53.150Z] 11:06:53 INFO - TEST-START | devtools/client/aboutdebugging/test/browser_service_workers_push.js
[task 2019-01-13T11:06:53.295Z] 11:06:53 INFO - GECKO(1086) | ++DOCSHELL 0x7fa24c774000 == 25 [pid = 1086] [id = {1bc54d82-a07f-4c46-b2cc-99c819e91df8}]
[task 2019-01-13T11:06:53.297Z] 11:06:53 INFO - GECKO(1086) | ++DOMWINDOW == 72 (0x7fa24c681000) [pid = 1086] [serial = 113] [outer = (nil)]
[task 2019-01-13T11:06:53.319Z] 11:06:53 INFO - GECKO(1086) | ++DOMWINDOW == 73 (0x7fa24c78b000) [pid = 1086] [serial = 114] [outer = 0x7fa24c681000]
[task 2019-01-13T11:06:53.340Z] 11:06:53 INFO - GECKO(1086) | ++DOCSHELL 0x7f32946d1000 == 1 [pid = 1953] [id = {5aefd4db-c4da-4121-bed0-725defd22161}]
[task 2019-01-13T11:06:53.421Z] 11:06:53 INFO - GECKO(1086) | ++DOMWINDOW == 1 (0x7f329460d400) [pid = 1953] [serial = 1] [outer = (nil)]

[task 2019-01-13T11:06:57.375Z] 11:06:57 INFO - TEST-PASS | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Service worker registration resolved -
[task 2019-01-13T11:06:57.377Z] 11:06:57 INFO - TEST-PASS | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found the service worker in the list -
[task 2019-01-13T11:06:57.378Z] 11:06:57 INFO - Buffered messages finished
[task 2019-01-13T11:06:57.381Z] 11:06:57 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found its push button -
[task 2019-01-13T11:06:57.382Z] 11:06:57 INFO - Stack trace:
[task 2019-01-13T11:06:57.383Z] 11:06:57 INFO - chrome://mochikit/content/browser-test.js:test_ok:1307
[task 2019-01-13T11:06:57.384Z] 11:06:57 INFO - chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:null:57
[task 2019-01-13T11:06:57.385Z] 11:06:57 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1108
[task 2019-01-13T11:06:57.386Z] 11:06:57 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1099
[task 2019-01-13T11:06:57.387Z] 11:06:57 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:997
[task 2019-01-13T11:06:57.388Z] 11:06:57 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-01-13T11:06:57.389Z] 11:06:57 INFO - Wait for the service worker to claim the test window before proceeding.
[task 2019-01-13T11:06:57.390Z] 11:06:57 INFO - Click on the Push button and wait for the service worker to receive a push notification
[task 2019-01-13T11:06:57.391Z] 11:06:57 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-01-13T11:06:57.392Z] 11:06:57 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:66 - TypeError: pushBtn is null
[task 2019-01-13T11:06:57.393Z] 11:06:57 INFO - Stack trace:
[task 2019-01-13T11:06:57.394Z] 11:06:57 INFO - @chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:66:3
[task 2019-01-13T11:06:57.395Z] 11:06:57 INFO - AsyncTester_execTest/<@chrome://mochikit/content/browser-test.js:1108:34
[task 2019-01-13T11:06:57.396Z] 11:06:57 INFO - async
Tester_execTest@chrome://mochikit/content/browser-test.js:1099:16
[task 2019-01-13T11:06:57.397Z] 11:06:57 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:997:9
[task 2019-01-13T11:06:57.398Z] 11:06:57 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-01-13T11:06:57.400Z] 11:06:57 INFO - Leaving test bound
[task 2019-01-13T11:06:57.402Z] 11:06:57 INFO - Removing tab.
[task 2019-01-13T11:06:57.403Z] 11:06:57 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-01-13T11:06:57.404Z] 11:06:57 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-01-13T11:06:57.422Z] 11:06:57 INFO - Tab removed and finished closing
[task 2019-01-13T11:06:57.478Z] 11:06:57 INFO - GECKO(1086) | [Parent 1086, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1497
[task 2019-01-13T11:06:57.669Z] 11:06:57 INFO - Removing tab.
[task 2019-01-13T11:06:57.669Z] 11:06:57 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-01-13T11:06:57.691Z] 11:06:57 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-01-13T11:06:57.747Z] 11:06:57 INFO - Tab removed and finished closing
[task 2019-01-13T11:06:57.785Z] 11:06:57 INFO - GECKO(1086) | console.error: "Error while calling actor 'serviceWorkerRegistration's method 'getPushSubscription'" "this.transport is null"
[task 2019-01-13T11:06:57.787Z] 11:06:57 INFO - GECKO(1086) | console.error: "send@resource://devtools/server/main.js:1007:5\nsendReturn@resource://devtools/shared/protocol.js:1232:11\nensureDOMPromiseRejectionsProcessed@resource://testing-common/PromiseTestUtils.jsm:110:5\nnextTest@chrome://mochikit/content/browser-test.js:746:7\nasynctestScope/test_finish/<@chrome://mochikit/content/browser-test.js:1410:11\nrun@chrome://mochikit/content/browser-test.js:1347:9\n"
[task 2019-01-13T11:06:57.792Z] 11:06:57 INFO - GECKO(1086) | console.error: "Error while calling actor 'serviceWorkerRegistration's method 'getPushSubscription'" "this.transport is null"
[task 2019-01-13T11:06:57.792Z] 11:06:57 INFO - GECKO(1086) | console.error: "send@resource://devtools/server/main.js:1007:5\nwriteError@resource://devtools/shared/protocol.js:1053:5\ngenerateRequestHandlers/</handler/</<@resource://devtools/shared/protocol.js:1239:25\nensureDOMPromiseRejectionsProcessed@resource://testing-common/PromiseTestUtils.jsm:110:5\nnextTest@chrome://mochikit/content/browser-test.js:746:7\nasync
testScope/test_finish/<@chrome://mochikit/content/browser-test.js:1410:11\nrun@chrome://mochikit/content/browser-test.js:1347:9\n"
[task 2019-01-13T11:06:57.793Z] 11:06:57 INFO - GECKO(1086) | console.error: "Error while calling actor 'serviceWorkerRegistration's method 'getPushSubscription'" "this.transport is null"
[task 2019-01-13T11:06:57.793Z] 11:06:57 INFO - GECKO(1086) | console.error: "send@resource://devtools/server/main.js:1007:5\nwriteError@resource://devtools/shared/protocol.js:1053:5\ngenerateRequestHandlers/</handler/</<@resource://devtools/shared/protocol.js:1239:25\nensureDOMPromiseRejectionsProcessed@resource://testing-common/PromiseTestUtils.jsm:110:5\nnextTest@chrome://mochikit/content/browser-test.js:746:7\nasync*testScope/test_finish/<@chrome://mochikit/content/browser-test.js:1410:11\nrun@chrome://mochikit/content/browser-test.js:1347:9\n"
[task 2019-01-13T11:06:57.822Z] 11:06:57 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-01-13T11:06:57.826Z] 11:06:57 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_service_workers_push.js | A promise chain failed to handle a rejection: this.transport is null - stack: send@resource://devtools/server/main.js:1007:5

Whiteboard: [retriggered]

There are 23 total failures in the last 7 days on linux64 debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=227436817&repo=mozilla-central&lineNumber=3847

[task 2019-02-09T22:53:51.223Z] 22:53:51 INFO - TEST-START | devtools/client/aboutdebugging/test/browser_service_workers_push.js
[task 2019-02-09T22:53:51.354Z] 22:53:51 INFO - GECKO(1088) | ++DOCSHELL 0x7f2c99fb5800 == 30 [pid = 1088] [id = {f35e57cf-773c-4a26-87e4-e6399a08b3e5}]
[task 2019-02-09T22:53:51.356Z] 22:53:51 INFO - GECKO(1088) | ++DOMWINDOW == 76 (0x7f2c99f14800) [pid = 1088] [serial = 113] [outer = (nil)]
[task 2019-02-09T22:53:51.396Z] 22:53:51 INFO - GECKO(1088) | ++DOMWINDOW == 77 (0x7f2ca6c71400) [pid = 1088] [serial = 114] [outer = 0x7f2c99f14800]
[task 2019-02-09T22:53:51.432Z] 22:53:51 INFO - GECKO(1088) | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2019-02-09T22:53:51.622Z] 22:53:51 INFO - GECKO(1088) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-02-09T22:53:51.841Z] 22:53:51 INFO - GECKO(1088) | ++DOCSHELL 0x7fa6f3fbe800 == 1 [pid = 1848] [id = {4be8841e-19b9-44b5-99a0-d1c7a652386a}]
[task 2019-02-09T22:53:51.924Z] 22:53:51 INFO - GECKO(1088) | ++DOMWINDOW == 78 (0x7f2c97563400) [pid = 1088] [serial = 115] [outer = 0x7f2c99f14800]
[task 2019-02-09T22:53:52.126Z] 22:53:52 INFO - GECKO(1088) | --DOMWINDOW == 2 (0x7fd0b6f3d000) [pid = 1777] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2019-02-09T22:53:52.191Z] 22:53:52 INFO - GECKO(1088) | ++DOMWINDOW == 1 (0x7fa6f3f14800) [pid = 1848] [serial = 1] [outer = (nil)]
[task 2019-02-09T22:53:54.154Z] 22:53:54 INFO - GECKO(1088) | SW not subscribed to push: AbortError: Error retrieving push subscription.
[task 2019-02-09T22:53:54.902Z] 22:53:54 INFO - TEST-INFO | started process screentopng
[task 2019-02-09T22:53:55.627Z] 22:53:55 INFO - TEST-INFO | screentopng: exit 0
[task 2019-02-09T22:53:55.629Z] 22:53:55 INFO - Buffered messages logged at 22:53:51
[task 2019-02-09T22:53:55.630Z] 22:53:55 INFO - Entering test bound
[task 2019-02-09T22:53:55.631Z] 22:53:55 INFO - opening about:debugging
[task 2019-02-09T22:53:55.632Z] 22:53:55 INFO - Adding a new tab with URL: about:debugging#workers
[task 2019-02-09T22:53:55.634Z] 22:53:55 INFO - Buffered messages logged at 22:53:52
[task 2019-02-09T22:53:55.635Z] 22:53:55 INFO - Tab added and finished loading
[task 2019-02-09T22:53:55.636Z] 22:53:55 INFO - Wait until the main about debugging container is available
[task 2019-02-09T22:53:55.637Z] 22:53:55 INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/aboutdebugging/test/service-workers/push-sw.html
[task 2019-02-09T22:53:55.638Z] 22:53:55 INFO - Buffered messages logged at 22:53:53
[task 2019-02-09T22:53:55.639Z] 22:53:55 INFO - Tab added and finished loading
[task 2019-02-09T22:53:55.640Z] 22:53:55 INFO - Make the test page notify us when the service worker sends a message.
[task 2019-02-09T22:53:55.641Z] 22:53:55 INFO - Wait until the service worker appears in the UI
[task 2019-02-09T22:53:55.643Z] 22:53:55 INFO - Buffered messages logged at 22:53:54
[task 2019-02-09T22:53:55.644Z] 22:53:55 INFO - Ensure that the registration resolved before trying to interact with the service worker.
[task 2019-02-09T22:53:55.647Z] 22:53:55 INFO - TEST-PASS | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Service worker registration resolved -
[task 2019-02-09T22:53:55.649Z] 22:53:55 INFO - TEST-PASS | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found the service worker in the list -
[task 2019-02-09T22:53:55.652Z] 22:53:55 INFO - Buffered messages finished
[task 2019-02-09T22:53:55.653Z] 22:53:55 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Found its push button -
[task 2019-02-09T22:53:55.655Z] 22:53:55 INFO - Stack trace:
[task 2019-02-09T22:53:55.656Z] 22:53:55 INFO - chrome://mochikit/content/browser-test.js:test_ok:1304
[task 2019-02-09T22:53:55.657Z] 22:53:55 INFO - chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:null:57
[task 2019-02-09T22:53:55.658Z] 22:53:55 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
[task 2019-02-09T22:53:55.659Z] 22:53:55 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1097
[task 2019-02-09T22:53:55.660Z] 22:53:55 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
[task 2019-02-09T22:53:55.661Z] 22:53:55 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-02-09T22:53:55.662Z] 22:53:55 INFO - Wait for the service worker to claim the test window before proceeding.
[task 2019-02-09T22:53:55.663Z] 22:53:55 INFO - Click on the Push button and wait for the service worker to receive a push notification
[task 2019-02-09T22:53:55.664Z] 22:53:55 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-02-09T22:53:55.665Z] 22:53:55 INFO - TEST-UNEXPECTED-FAIL | devtools/client/aboutdebugging/test/browser_service_workers_push.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:66 - TypeError: pushBtn is null
[task 2019-02-09T22:53:55.666Z] 22:53:55 INFO - Stack trace:
[task 2019-02-09T22:53:55.666Z] 22:53:55 INFO - @chrome://mochitests/content/browser/devtools/client/aboutdebugging/test/browser_service_workers_push.js:66:3
[task 2019-02-09T22:53:55.667Z] 22:53:55 INFO - AsyncTester_execTest/<@chrome://mochikit/content/browser-test.js:1106:34
[task 2019-02-09T22:53:55.668Z] 22:53:55 INFO - async
Tester_execTest@chrome://mochikit/content/browser-test.js:1097:16
[task 2019-02-09T22:53:55.668Z] 22:53:55 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:995:9
[task 2019-02-09T22:53:55.669Z] 22:53:55 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-02-09T22:53:55.670Z] 22:53:55 INFO - Leaving test bound
[task 2019-02-09T22:53:55.671Z] 22:53:55 INFO - Removing tab.
[task 2019-02-09T22:53:55.671Z] 22:53:55 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-02-09T22:53:55.672Z] 22:53:55 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-02-09T22:53:55.673Z] 22:53:55 INFO - Tab removed and finished closing
[task 2019-02-09T22:53:55.674Z] 22:53:55 INFO - GECKO(1088) | [Parent 1088, Main Thread] WARNING: Content used context-fill-opacity when not in a context element: file /builds/worker/workspace/build/src/layout/svg/nsSVGUtils.cpp, line 1497
[task 2019-02-09T22:53:55.938Z] 22:53:55 INFO - Removing tab.
[task 2019-02-09T22:53:55.938Z] 22:53:55 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-02-09T22:53:55.960Z] 22:53:55 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-02-09T22:53:56.020Z] 22:53:56 INFO - Tab removed and finished closing
[task 2019-02-09T22:53:56.062Z] 22:53:56 INFO - GECKO(1088) | console.error: "Error while calling actor 'serviceWorkerRegistration's method 'getPushSubscription'" "this.transport is null"

Julian, if you have time, can you look at this?

Flags: needinfo?(jdescottes)
Whiteboard: [retriggered] → [retriggered][stockwell needswork:owner]

So this is again a failure which is only happening with the sw-e10s refactor. We now have ported all the tests from devtools/client/aboutdebugging to devtools/client/aboutdebugging-new. The new tests in aboutdebugging-new should normally be less fragile than their aboutdebugging counterpart.

For instance here the new version of this test is browser_aboutdebugging_serviceworker_push.js where we wait for the service worker to be in RUNNING state before trying to find the push button, which makes the test less impacted by small timing changes.

I would like to completely remove the old about:debugging in the 68 cycle. For now I will fix the old test, but if we start to see more failures in the old aboutdebugging folder, we should simply skip the tests on sw-e10s.

Flags: needinfo?(jdescottes)
Assignee: nobody → jdescottes
Status: NEW → ASSIGNED

Try push with retriggers for dt6 on sw-e10s where browser_service_workers_push.js is running in this push.

https://treeherder.mozilla.org/#/jobs?repo=try&selectedJob=227865647&revision=31faa647351e687e8c6bce93a43408837c89fce4

Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e5f3e1584cf9
Fix browser_service_workers_push.js for sw-e10s refactor;r=daisuke
Status: ASSIGNED → RESOLVED
Closed: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 67
You need to log in before you can comment on or make changes to this bug.